/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class ncsa_hdf_hdf5lib_H5_H5_H5O */

#ifndef _Included_ncsa_hdf_hdf5lib_H5_H5O
#define _Included_ncsa_hdf_hdf5lib_H5_H5O
#ifdef __cplusplus
extern "C" {
#endif
    
    extern JavaVM *jvm;
    extern jobject visit_callback;   

    /*
     * Class:     ncsa_hdf_hdf5lib_H5
     * Method:    _H5Oopen
     * Signature: (ILjava/lang/String;I)I
     */
    JNIEXPORT jint JNICALL Java_ncsa_hdf_hdf5lib_H5__1H5Oopen
      (JNIEnv *, jclass, jint, jstring, jint);

    /*
     * Class:     ncsa_hdf_hdf5lib_H5
     * Method:    _H5Oclose
     * Signature: (I)I
     */
    JNIEXPORT jint JNICALL Java_ncsa_hdf_hdf5lib_H5__1H5Oclose
      (JNIEnv *, jclass, jint);

    
    /*
     * Class:     ncsa_hdf_hdf5lib_H5
     * Method:    H5Ocopy
     * Signature: (ILjava/lang/String;ILjava/lang/String;II)V
     */
    JNIEXPORT void JNICALL Java_ncsa_hdf_hdf5lib_H5_H5Ocopy
      (JNIEnv *, jclass, jint, jstring, jint, jstring, jint, jint);
    
    /*
     * Class:     ncsa_hdf_hdf5lib_H5
     * Method:    H5Oget_info
     * Signature: (I)Lncsa/hdf/hdf5lib/structs/H5O_info_t;
     */
    JNIEXPORT jobject JNICALL Java_ncsa_hdf_hdf5lib_H5_H5Oget_1info
      (JNIEnv *, jclass, jint);

    /*
     * Class:     ncsa_hdf_hdf5lib_H5
     * Method:    H5Oget_info_by_name
     * Signature: (ILjava/lang/String;I)Lncsa/hdf/hdf5lib/structs/H5O_info_t;
     */
    JNIEXPORT jobject JNICALL Java_ncsa_hdf_hdf5lib_H5_H5Oget_1info_1by_1name
    (JNIEnv *, jclass, jint, jstring, jint);
    
    /*
     * Class:     ncsa_hdf_hdf5lib_H5
     * Method:    H5Oget_info_by_idx
     * Signature: (ILjava/lang/String;IIJI)Lncsa/hdf/hdf5lib/structs/H5O_info_t;
     */
    JNIEXPORT jobject JNICALL Java_ncsa_hdf_hdf5lib_H5_H5Oget_1info_1by_1idx
      (JNIEnv *, jclass, jint, jstring, jint, jint, jlong, jint);
    
    /*
     * Class:     ncsa_hdf_hdf5lib_H5
     * Method:    H5Olink
     * Signature: (IILjava/lang/String;II)V
     */
    JNIEXPORT void JNICALL Java_ncsa_hdf_hdf5lib_H5_H5Olink
      (JNIEnv *, jclass, jint, jint, jstring, jint, jint);
    
    /*
     * Class:     ncsa_hdf_hdf5lib_H5
     * Method:    H5Ovisit
     * Signature: (IIILjava/lang/Object;Ljava/lang/Object;)I
     */
    JNIEXPORT jint JNICALL Java_ncsa_hdf_hdf5lib_H5_H5Ovisit
      (JNIEnv *, jclass, jint, jint, jint, jobject, jobject);
    
    /*
     * Class:     ncsa_hdf_hdf5lib_H5
     * Method:    H5Ovisit_by_name
     * Signature: (ILjava/lang/String;IILjava/lang/Object;Ljava/lang/Object;I)I
     */
    JNIEXPORT jint JNICALL Java_ncsa_hdf_hdf5lib_H5_H5Ovisit_1by_1name
      (JNIEnv *, jclass, jint, jstring, jint, jint, jobject, jobject, jint);

    /*
     * Class:     ncsa_hdf_hdf5lib_H5
     * Method:    H5Oset_comment
     * Signature: (ILjava/lang/String;)V
     */
    JNIEXPORT void JNICALL Java_ncsa_hdf_hdf5lib_H5_H5Oset_1comment
      (JNIEnv *, jclass, jint, jstring);

    /*
     * Class:     ncsa_hdf_hdf5lib_H5
     * Method:    H5Oset_comment_by_name
     * Signature: (ILjava/lang/String;Ljava/lang/String;I)V
     */
    JNIEXPORT void JNICALL Java_ncsa_hdf_hdf5lib_H5_H5Oset_1comment_1by_1name
      (JNIEnv *, jclass, jint, jstring, jstring, jint);

    /*
     * Class:     ncsa_hdf_hdf5lib_H5
     * Method:    H5Oget_comment
     * Signature: (I)Ljava/lang/String;
     */
    JNIEXPORT jstring JNICALL Java_ncsa_hdf_hdf5lib_H5_H5Oget_1comment
      (JNIEnv *, jclass, jint);

    /*
     * Class:     ncsa_hdf_hdf5lib_H5
     * Method:    H5Oget_comment_by_name
     * Signature: (ILjava/lang/String;I)Ljava/lang/String;
     */
    JNIEXPORT jstring JNICALL Java_ncsa_hdf_hdf5lib_H5_H5Oget_1comment_1by_1name
      (JNIEnv *, jclass, jint, jstring, jint);

#ifdef __cplusplus
}
#endif
#endif
